API Reference
Log In
API Reference

/certificates/{certificateId}/users

Retrieves a paginated list of active users associated with a specific certificate.


Filters

ParameterDescription
stateFilter by valid, almostExpired, expired, or notStarted.
validUntilFromOnly include certificates expiring on or after this UTC date-time.
validUntilToOnly include certificates expiring on or before this UTC date-time.

Filters are optional and combined with AND. If omitted, all certificate states are included. Expiration filters use inclusive UTC date-time values (ISO 8601, for example 2026-09-01T00:00:00Z) and exclude certificates without an expiration date. The almostExpired state, is based on when the certificate should warn users about expiration. This value is set in the platform on the certificate.

Sorting

ParameterDescription
sortTypeSort by name, acquiredAt, or validUntil. Defaults to name.
sortOrderSort in asc or desc order. Defaults to asc.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Learningbank certificate ID

Query Params
string
enum

Filter by certificate state

Allowed:
date-time

Inclusive expiration lower bound in UTC (ISO 8601: YYYY-MM-DDTHH:mm:ssZ)

date-time

Inclusive expiration upper bound in UTC (ISO 8601: YYYY-MM-DDTHH:mm:ssZ)

string
enum

Sorting order for the users on the certificate. Defaults to the name of the user

Allowed:
string
enum

Sorting order direction for the users on the certificate. Defaults to ascending

Allowed:
number

The maximum number of items to return. Must be a positive number and not greater than 100. Default 10.

number

The number of items to skip. Must be a positive number or 0. Default 0.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json